Name: libtranslate
Version: 0.99
Release: alt1

Summary: library for translating text

License: See COPYING
Group: Development/C
Url: http://www.nongnu.org/libtranslate/

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Source: %name-%version.tar.bz2
Source1: %name-services.xml

Patch1: libtranslate-0.99-charsetparse.diff
Patch2: libtranslate-0.99-condfix.diff
Patch3: libtranslate-ds-memory.patch
Patch4: libtranslate-ds-empty.patch
Patch5: libtranslate-ds-promt.patch
Patch6: libtranslate-ds-fixcharset.patch
Patch7: libtranslate-ds-timed.patch

BuildRequires: gcc-c++ glib2-devel libgcrypt-devel libgnutls-devel libgpg-error-devel libsoup-devel
BuildRequires: libtalkfilters-devel libtasn1-devel libxml2-devel perl-XML-Parser zlib-devel

%description
libtranslate is a library for translating text and web pages
between natural languages. Its modular infrastructure allows
to implement new translation services separately from the core
library.

%package devel
Summary: Header files for libtranslate
Group: Development/C
Requires: %name = %version-%release

%description devel
This package contain header files for libtranslate.

%prep
%setup -q

%patch1 -p0
%patch2 -p0
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch7 -p1
%patch6 -p1

%build
%configure \
	--disable-static \
	--enable-generic \
	--enable-talkfilters
%make_build

%install
%make DESTDIR=%buildroot install

install -m 644 %SOURCE1 %buildroot%_datadir/%name/services.xml
 
%find_lang %name

%post
%post_ldconfig

%postun
%postun_ldconfig

%files -f %name.lang
%doc COPYING README
%_bindir/*
%_libdir/*.so.*
%_libdir/%name
%_datadir/%name
%_man1dir/*

%files devel
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*.pc
%_datadir/gtk-doc/html/*

%changelog
* Mon Oct 22 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.99-alt1
- added patches on Suren A. Chilingaryan

* Tue Feb 15 2005 Vitaly Lipatov <lav@altlinux.ru> 0.99-alt0.1
- first build for ALT Linux Sisyphus
